$ErrorActionPreference = 'Stop'; # stop on all errors

$taskIsRunning = Get-ScheduledTask | ? TaskName -eq "keepalive-admobilize"
if ($taskIsRunning) {
  schtasks.exe /DELETE /TN "keepalive-admobilize" /F
}

$desktopUiISRunning = GET-PROCESS | ? ProcessName -eq "admobilize-desktop-ui"
if($desktopUiISRunning) {
  taskkill /f /im "admobilize-desktop-ui.exe"
}

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.32-beta-win32-ia32.msi'
$url64 = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.32-beta-win32-x64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64         = $url64
  softwareName  = 'admobilize-viewer*'
  checksum      = 'CD655773FF848E5C9AEBF67BE9E60BA36E2B64D8F059800B65248FACE88832BD'
  checksum64    = '5F96CD8F22951E7CD48FDF13978D5796E406BC75903A74894218C8F7F8700BAF'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize Desktop UI" -PathType 'Machine'

if ($desktopUiISRunning) {
  $commandExist = Get-Command admobilize-desktop-ui.exe -errorAction SilentlyContinue
  if($commandExist) {
    admobilize-desktop-ui.exe
  }
}
